Cliquify Developer
  1. Assets
  • Overview
    • Get started
  • Authentication
    • Token lifecycle
    • OAuth scopes
    • Get an access token
      POST
    • Introspect a token
      POST
    • Revoke a token
      POST
  • API Reference
    • Templates
      • Tags
        • List brand tags
      • List templates
    • Assets
      • Folders
        • List folder
      • List assets
        GET
      • List asset tags
        GET
    • Brand Kit
      • List brand kit
      • List brand kit logos
      • List brand kit colors
    • Troubleshoot
      • Errors and troubleshooting
  1. Assets

List assets

Developing
GET
https://oauth.cliquify.me/api/assets
List brand assets for the company linked to your OAuth client.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://oauth.cliquify.me/api/assets?file_type=&file_ext=undefined&search=undefined&tags=undefined&per_page=25&page=1' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
  "success": true,
  "data": [
    {
      "name": "model-y.jpg",
      "file_type": "image",
      "file_ext": "jpg",
      "folder_id": "c4ca4238a0b923820dcc509a6f75849b",
      "created_at": "2022-10-05 16:05:23",
      "updated_at": "2026-01-20 17:26:41",
      "cdn_thumb_url": "https://cdn.example.com/assets/images/bki0sbtr-model-y.jpg"
    },
    {
      "name": "intro.mp4",
      "file_type": "video",
      "file_ext": "mp4",
      "folder_id": "c81e728d9d4c2f636f067f89cc14862c",
      "created_at": "2023-03-15 10:30:00",
      "updated_at": "2026-02-10 12:45:00",
      "cdn_thumb_url": "https://cdn.example.com/assets/videos/intro.mp4"
    }
  ]
}
Modified at 2026-04-10 10:15:39
Previous
List folder
Next
List asset tags
Built with